Pulses
Update a pulse
Update a specific pulse by id
PUT
/
v1
/
pulses
/
{id}
Update a pulse
curl --request PUT \
--url https://api.rootly.com/v1/pulses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "pulses",
"attributes": {
"source": "<string>",
"summary": "<string>",
"service_ids": [
"<string>"
],
"environment_ids": [
"<string>"
],
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"external_url": "<string>",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
],
"refs": [
{
"key": "<string>",
"value": "<string>"
}
],
"data": {}
}
}
}
'import requests
url = "https://api.rootly.com/v1/pulses/{id}"
payload = { "data": {
"type": "pulses",
"attributes": {
"source": "<string>",
"summary": "<string>",
"service_ids": ["<string>"],
"environment_ids": ["<string>"],
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"external_url": "<string>",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
],
"refs": [
{
"key": "<string>",
"value": "<string>"
}
],
"data": {}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'pulses',
attributes: {
source: '<string>',
summary: '<string>',
service_ids: ['<string>'],
environment_ids: ['<string>'],
started_at: '2023-11-07T05:31:56Z',
ended_at: '2023-11-07T05:31:56Z',
external_url: '<string>',
labels: [{key: '<string>', value: '<string>'}],
refs: [{key: '<string>', value: '<string>'}],
data: {}
}
}
})
};
fetch('https://api.rootly.com/v1/pulses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "pulses",
"attributes": {
"summary": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"source": "<string>",
"services": [
{
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"public_description": "<string>",
"notify_emails": [
"<string>"
],
"color": "<string>",
"position": 123,
"backstage_id": "<string>",
"external_id": "<string>",
"pagerduty_id": "<string>",
"opsgenie_id": "<string>",
"cortex_id": "<string>",
"service_now_ci_sys_id": "<string>",
"github_repository_name": "<string>",
"github_repository_branch": "<string>",
"gitlab_repository_name": "<string>",
"gitlab_repository_branch": "<string>",
"kubernetes_deployment_name": "<string>",
"environment_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"owner_group_ids": [
"<string>"
],
"owner_user_ids": [
123
],
"alert_urgency_id": "<string>",
"escalation_policy_id": "<string>",
"alerts_email_enabled": true,
"alerts_email_address": "<string>",
"slack_channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"slack_aliases": [
{
"id": "<string>",
"name": "<string>"
}
],
"alert_broadcast_enabled": true,
"alert_broadcast_channel": {
"id": "<string>",
"name": "<string>"
},
"incident_broadcast_enabled": true,
"incident_broadcast_channel": {
"id": "<string>",
"name": "<string>"
},
"properties": [
{
"catalog_property_id": "<string>",
"value": "<string>"
}
]
}
],
"environments": [
{
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"notify_emails": [
"<string>"
],
"color": "<string>",
"position": 123,
"slack_channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"slack_aliases": [
{
"id": "<string>",
"name": "<string>"
}
],
"properties": [
{
"catalog_property_id": "<string>",
"value": "<string>"
}
]
}
],
"external_url": "<string>",
"labels": [
{
"key": "<string>",
"value": "<string>"
}
],
"refs": [
{
"key": "<string>",
"value": "<string>"
}
],
"data": {}
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a pulse
